Uploaded image for project: 'HBase'
  1. HBase
  2. HBASE-359

[hbase] Remove deprecated APIs and change signature of another in HRegionInterface

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      There are a number of deprecated APIs in HRegionInterface (the interface used by the client to communicate with the HRegionServer). Although none of the APIs are used by the current client classes or by other HBase code, we do know that some HBase users have subclassed both the client and HRegionServer. What we do not know is if their changes make use of the deprecated APIs.

      In addition, we would like to make an incompatible change to HRegionInterface.batchUpdate in order to support HADOOP-1724. (It would return either an enum or boolean instead of void).

      If these changes would effect you, please let us know and also give us a time frame when this change could be implemented. Thanks!

        Attachments

        1. patch.txt
          11 kB
          Jim Kellerman

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                jimk Jim Kellerman
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: